indexing

	description: "Class that can write ULM logging to an OS dependent%
	%logging mechanism."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #1 $"


deferred class

	ULM_LOG_HANDLER

inherit

	ULM_LOG_LEVELS

feature -- Logging

	log_event (level: INTEGER; line: STRING) is
			-- Write a single line to the host logging system. `line'
			-- should be in ULM format.
		require
			valid_level: is_valid_log_level (level)
			line_not_empty: line /= Void and then not line.is_empty
		deferred
		end

feature -- OS queries needed by ULM_LOGGING

	host_name: STRING is
			-- Host name where system is running upon
		deferred
		end

invariant

	have_host_name: host_name /= Void and then not host_name.is_empty
end
